### Function

# Gimp gradient_segment_range_split_uniform

since: 2.2

#### Declaration [src]

    gboolean
    gimp_gradient_segment_range_split_uniform (
      const gchar* name,
      gint start_segment,
      gint end_segment,
      gint split_parts
    )

#### Description [src]

Splits each segment in the segment range uniformly

This function splits each segment in the segment range uniformly according to the number of times specified by the parameter.

Available since: 2.2

#### Parameters

`name`

  Type: `const gchar*`

  The gradient name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`start_segment`

  Type: `gint`

  The index of the first segment to operate on.

`end_segment`

  Type: `gint`

  The index of the last segment to operate on. If negative, the selection will extend to the end of the string.

`split_parts`

  Type: `gint`

  The number of uniform divisions to split each segment to.

#### Return value

Type: `gboolean`

TRUE on success.